* * *

Author Topic: i can't install in Ubuntu  (Read 425 times)

majid.ebru

  • Sr. Member
  • ****
  • Posts: 310
i can't install in Ubuntu
« on: February 14, 2018, 12:17:45 am »
 Hi
 
 i install "ubuntu-16.04-desktop-i386 " in VirtualBox.
 
 and then i download "lazarus-project_1.6.4-0_i386.deb" and copy that in desktop of Ubuntu.
 
 when i double click on that , i see error.
 
 what is my wrong?
 
 Thank you

bylaardt

  • Sr. Member
  • ****
  • Posts: 265
Re: i can't install in Ubuntu
« Reply #1 on: February 14, 2018, 01:47:09 am »
you must install fpc and fpc-source first

Handoko

  • Hero Member
  • *****
  • Posts: 2012
  • My goal: build my own game engine using Lazarus
Re: i can't install in Ubuntu
« Reply #2 on: February 14, 2018, 02:27:05 am »
@majid.ebru

If you interested you can read my step-by-step Lazarus installation on Ubuntu:

https://forum.lazarus.freepascal.org/index.php/topic,39281.msg269012.html

majid.ebru

  • Sr. Member
  • ****
  • Posts: 310
Re: i can't install in Ubuntu
« Reply #3 on: February 14, 2018, 03:56:09 am »
thank you very much

i will read that

majid.ebru

  • Sr. Member
  • ****
  • Posts: 310
Re: i can't install in Ubuntu
« Reply #4 on: Today at 12:48:42 am »
@majid.ebru

If you interested you can read my step-by-step Lazarus installation on Ubuntu:

https://forum.lazarus.freepascal.org/index.php/topic,39281.msg269012.html

Hi

 i read your topic thank you

but i can't install yet

i download 3 file

majid.ebru

  • Sr. Member
  • ****
  • Posts: 310
Re: i can't install in Ubuntu
« Reply #5 on: Today at 12:49:02 am »
and

majid.ebru

  • Sr. Member
  • ****
  • Posts: 310
Re: i can't install in Ubuntu
« Reply #6 on: Today at 12:49:22 am »
and

molly

  • Hero Member
  • *****
  • Posts: 2267
Re: i can't install in Ubuntu
« Reply #7 on: Today at 01:48:54 am »
@majid.ebru:
I'm a bit confused.

The first and last picture clearly state what dependency is missing. You need to install those dependencies.

The middle picture simply confirms what is already present.

majid.ebru

  • Sr. Member
  • ****
  • Posts: 310
Re: i can't install in Ubuntu
« Reply #8 on: Today at 01:53:13 am »
I'm confused too %)

FPC_SRC installed but the other files doesn't installed?!?

i don't know about Linux

molly

  • Hero Member
  • *****
  • Posts: 2267
Re: i can't install in Ubuntu
« Reply #9 on: Today at 02:05:29 am »
FPC_SRC installed but the other files doesn't installed?!?
That would be affirmative.

Quote
i don't know about Linux
Me neither  ;)... but there is usually something named a package manager/installer that allows for additional packages to be installed. As shown in the post that handoko linked to, that seems to be apt for ubuntu.

You can use that to install additional packages. Make sure though to not use apt to install freepascal and/or lazarus (as that is the whole exercise that handoko shows us, to manually download and install those specific packages).

apt documentation.

edit: some more documentation.
« Last Edit: Today at 02:16:10 am by molly »

Handoko

  • Hero Member
  • *****
  • Posts: 2012
  • My goal: build my own game engine using Lazarus
Re: i can't install in Ubuntu
« Reply #10 on: Today at 02:30:54 am »
@majid.ebru

It seems you didn't fully read the step-by-step I wrote. There clearly mentions for Ubuntu 16.04 users should read:

http://forum.lazarus.freepascal.org/index.php/topic,39281.msg269112.html#msg269112

molly

  • Hero Member
  • *****
  • Posts: 2267
Re: i can't install in Ubuntu
« Reply #11 on: Today at 02:38:05 am »
@Handoko:
oh, my bad. I did not realize gdebi was able to take care of dependencies (automatically) as well.

@majid.ebru:
follow handoku's steps. Mine are a bit off with regards to handoko's step by step instructions.

 

Recent

Get Lazarus at SourceForge.net. Fast, secure and Free Open Source software downloads Open Hub project report for Lazarus